require "tableutil"
local ssu = require "stylesheetutil"
local sound = require "soundeffectsutil"

local hp = 10
local vp = 5
local defaultMargin = hp

local constructionMenuMainColor = ssu.makeColor(5+25, 25+25, 40+25, 200)
local constructionMenuBackColor = ssu.makeColor(5, 25, 40, 210)
local constructionMenuHoverColor = ssu.makeColor(5+10, 25+10, 40+10, 200)

function data()
	print("Loading commonapi2 stylesheet")
	local result = { }
	
	local a = ssu.makeAdder(result)
	
	result.animations = { }

	a("#mainMenuLeft.CommonAPI2Button.button.icon", {
		color = ssu.makeColor(255, 255, 255),
		backgroundImage1 = { fileName = "ui/design/buttons/disk_small_behind.tga" },
		backgroundImage2 = { fileName = "ui/design/buttons/disk_small_surface.tga" },
		borderImage = { fileName = "ui/design/buttons/disk_small_contour.tga" },
		backgroundColor1 = ssu.makeColor(15, 35, 50, 90),
		backgroundColor2 = ssu.makeColor(15, 35, 50),
		borderColor = ssu.makeColor(255, 255, 255, 128)
	})
	a("#mainMenuLeft.CommonAPI2Button.button.icon:hover", {
		backgroundColor1 = ssu.makeColor(183, 188, 193, 128),
		borderColor = ssu.makeColor(255, 255, 255)
	})
	a("#mainMenuLeft.CommonAPI2Button.button.icon:active", {
		backgroundColor1 = ssu.makeColor(15, 35, 50, 90),
		backgroundColor2 = ssu.makeColor(110, 122, 132)
	})
	a("#mainMenuLeft.CommonAPI2Button.button.icon:disabled", {
		color = ssu.makeColor(128, 128, 128)
	})

	return result
end
