local InspectWindow = {}

local _log = commonapi.utils.logPrep("commonapi2.ui.ModSettingsWindowTPF")
local _utils = commonapi.utils
local global_ = _
--local _ = _utils._t

package.loaded["commonapi2.ui2.tpfui"] = nil
local ui = require("commonapi2.ui2.tpfui")

InspectWindow = ui.Window:new()

InspectWindow.id =  "InspectWindow"
InspectWindow.uilist = {}

InspectWindow.height = 500
InspectWindow.width = 500


function ModSettingsWindow:createUIList()
	local uilist = {}

	local settings =  self.data.oldsettings
	local settingsdesc = self.data.settingsdesc
	local settingsorder = self.data.settingsorder
	if (settingsdesc == nil) then
		self.uilist ={
			{
				typ = "Label",
				caption = "No Settings found"
			}
		}
		return
	end
	
	uilist[#uilist+1] = {
		typ = "_ScrollRegionStart",
		id = "ScrollRegion",
		border = false,
		size = {
			0, -30
		}
	}
	--for key, desc in pairs(settingsdesc) do
	for _, orderdata in ipairs(settingsorder) do
		local key = orderdata[1]
		local desc = settingsdesc[key]

		uilist[#uilist+1] = {
			typ = "Label",
			caption = desc.name
		}

		if (desc.description ~= nil) then
			uilist[#uilist+1] = {
				typ = "Label",
				caption = desc.description
			}
		end
		if (desc.type == "table") then
			for tkey, tvalue in ipairs(desc.values) do
				local tvalueid = key..'_'..tvalue.value
				uilist[#uilist+1] = {
					typ = "Checkbox",
					id = tvalueid,
					caption = ''..(tvalue.text or tvalue.value)
				}
			end
			if (type(settings[key]) == 'table') then
				for tkey, pvalue in ipairs(settings[key]) do
					self.params[key..'_'..pvalue] = true
				end
			end
		else
			if (desc.type == "number") then
				uilist[#uilist+1] = {
					typ = "FloatValue",
					id = key,
				}
				if (desc.subtype == "integer") then
					uilist[#uilist].typ = "IntValue"
				end
			elseif (desc.type == "string") then
				uilist[#uilist+1] = {
					typ = "TextInput",
					id = key,
				}
			elseif (desc.type == "boolean") then
				uilist[#uilist+1] = {
					typ = "Checkbox",
					id = key,
				}
			end
			self.params[key] = settings[key] or nil
		end
		
		uilist[#uilist+1] = {
			typ = "Separator"
		}
	end

	uilist[#uilist+1] = {
		typ = "_ScrollRegionEnd",
		id = "ScrollRegionEnd"
	}

	uilist[#uilist+1] = {
		typ = "Separator"
	}
	uilist[#uilist+1] = {
		typ = "Button",
		id = "SaveSettings",
		caption = _("Save"),
		onclick = function(item, win)
			win:saveSetting()
		end
	}

	self.uilist = uilist
end